Returns workflows.

GEThttps://api.awork.com/api/v1/workflows
GET https://api.awork.com/api/v1/workflows

Returns workflows. Each workflow includes its linked statuses and custom fields.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

showArchivedbooleanOptional
Default: false
pageintegerOptional
Default: 1

Page number for pagination

pageSizeintegerOptional
Default: 10

Number of items per page

orderbystringOptional

The properties to order by

filterbystringOptional

The filter expression to filter by

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the entity.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

namestring or nullOptional

The name of the entity.

iconstring or nullOptional

The icon associated with this workflow.

isArchivedbooleanOptional

Whether the workflow has been archived.

isExternalbooleanOptional

True if the workflow is coming from an external workspace (awork Connect). False otherwise.

Search documentation